- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

# stream2string.h File Reference

Declares an adapter that converts something that can be inserted into a C++ stream into a std::string type. More...

`#include <sstream>`
`#include <string>`

Go to the source code of this file.

## Namespaces
namespace | mysqlpp
## Functions
template<class T>
std::string | mysqlpp::stream2string (const T &object)
| Converts anything you can insert into a C++ stream to a `std::string` via `std::ostringstream`.

## Detailed Description

Declares an adapter that converts something that can be inserted into a C++ stream into a std::string type.